%global packname  dplyr
%global rlibdir  %{_libdir}/R/library

# When we are bootstrapping, we drop some dependencies, and/or build time tests.
%{?_with_bootstrap: %global bootstrap 1}
# Disable things for review.
%global bootstrap 1

Name:             R-%{packname}
Version:          0.8.0.1
Release:          2%{?dist}
Summary:          A Grammar of Data Manipulation

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-assertthat >= 0.2.0, R-glue >= 1.1.1, R-magrittr >= 1.5, R-methods, R-pkgconfig >= 2.0.1, R-R6 >= 2.2.2, R-Rcpp >= 1.0.0, R-rlang >= 0.3.0, R-tibble >= 2.0.0, R-tidyselect >= 0.2.5, R-utils
# Suggests:  R-bit64 >= 0.9.7, R-callr >= 3.1.1, R-covr >= 3.0.1, R-DBI >= 0.7.14, R-dbplyr >= 1.2.0, R-dtplyr >= 0.0.2, R-ggplot2 >= 2.2.1, R-hms >= 0.4.1, R-knitr >= 1.19, R-Lahman >= 3.0-1, R-lubridate >= 1.7.4, R-MASS, R-mgcv >= 1.8.23, R-microbenchmark >= 1.4.4, R-nycflights13 >= 0.2.2, R-rmarkdown >= 1.8, R-RMySQL >= 0.10.13, R-RPostgreSQL >= 0.6.2, R-RSQLite >= 2.0, R-testthat >= 2.0.0, R-withr >= 2.1.1, R-broom >= 0.5.1, R-purrr >= 0.3.0, R-readr >= 1.3.1, R-crayon >= 1.3.4
# LinkingTo: R-BH >= 1.58.0-1, R-plogr >= 0.1.10, R-Rcpp >= 1.0.0
# Enhances:

Requires:         R-assertthat >= 0.2.0
Requires:         R-glue >= 1.1.1
Requires:         R-magrittr >= 1.5
Requires:         R-methods
Requires:         R-pkgconfig >= 2.0.1
Requires:         R-R6 >= 2.2.2
Requires:         R-Rcpp >= 1.0.0
Requires:         R-rlang >= 0.3.0
Requires:         R-tibble >= 2.0.0
Requires:         R-tidyselect >= 0.2.5
Requires:         R-utils
Suggests:         R-DBI >= 0.7.14
Suggests:         R-dbplyr >= 1.2.0
Suggests:         R-microbenchmark >= 1.4.4
Suggests:         R-RMySQL >= 0.10.13
Suggests:         R-RPostgreSQL >= 0.6.2
Suggests:         R-RSQLite >= 2.0
Suggests:         R-testthat >= 2.0.0
Suggests:         R-crayon >= 1.3.4
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-assertthat >= 0.2.0
BuildRequires:    R-glue >= 1.1.1
BuildRequires:    R-magrittr >= 1.5
BuildRequires:    R-methods
BuildRequires:    R-pkgconfig >= 2.0.1
BuildRequires:    R-R6 >= 2.2.2
BuildRequires:    R-Rcpp-devel >= 1.0.0
BuildRequires:    R-rlang >= 0.3.0
BuildRequires:    R-tibble >= 2.0.0
BuildRequires:    R-tidyselect >= 0.2.5
BuildRequires:    R-utils
BuildRequires:    R-BH-devel >= 1.58.0.1
BuildRequires:    R-plogr-devel >= 0.1.10
BuildRequires:    R-bit64 >= 0.9.7
BuildRequires:    R-callr >= 3.1.1
BuildRequires:    R-DBI >= 0.7.14
BuildRequires:    R-hms >= 0.4.1
BuildRequires:    R-knitr >= 1.19
BuildRequires:    R-lubridate >= 1.7.4
BuildRequires:    R-MASS
BuildRequires:    R-mgcv >= 1.8.23
BuildRequires:    R-microbenchmark >= 1.4.4
BuildRequires:    R-rmarkdown >= 1.8
BuildRequires:    R-RSQLite >= 2.0
BuildRequires:    R-testthat >= 2.0.0
BuildRequires:    R-withr >= 2.1.1
BuildRequires:    R-purrr >= 0.3.0
BuildRequires:    R-readr >= 1.3.1
BuildRequires:    R-crayon >= 1.3.4
%if ! 0%{?bootstrap}
BuildRequires:    R-dbplyr >= 1.2.0
BuildRequires:    R-dtplyr >= 0.0.2
BuildRequires:    R-ggplot2 >= 2.2.1
BuildRequires:    R-Lahman >= 3.0.1
BuildRequires:    R-nycflights13 >= 0.2.2
BuildRequires:    R-RMySQL >= 0.10.13
BuildRequires:    R-RPostgreSQL >= 0.6.2
BuildRequires:    R-broom >= 0.5.1
%endif

%description
A fast, consistent tool for working with data frame like objects, both in
memory and out of memory.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if ! 0%{?bootstrap}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so

%files devel
%{rlibdir}/%{packname}/include


%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 06 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.8.0.1-1
- initial package for Fedora
